#Copyright (C) 1989, 1990, 1991 Free Software Foundation, Inc.
#     Written by James Clark (jjc@jclark.uucp)
#
#This file is part of groff.
#
#groff is free software; you can redistribute it and/or modify it under
#the terms of the GNU General Public License as published by the Free
#Software Foundation; either version 1, or (at your option) any later
#version.
#
#groff is distributed in the hope that it will be useful, but WITHOUT ANY
#WARRANTY; without even the implied warranty of MERCHANTABILITY or
#FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#for more details.
#
#You should have received a copy of the GNU General Public License along
#with groff; see the file LICENSE.  If not, write to the Free Software
#Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

BINDIR=/usr/local/bin
CC=gcc -x c++
CFLAGS=-O2
LDFLAGS=-x none
INCLUDES=-I../lib
DEFINES=
STRIP=strip
AOUT2EXE=aout2exe
GROG=grog.sh
SOURCES=addftinf.c guess.c guess.h
OBJECTS=addftinf.o guess.o
ETAGS=etags
ETAGSFLAGS=-p

.c.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES) $<

all: addftinf.exe soelim.exe

addftinf.exe: addftinf
	$(STRIP) $<
	$(AOUT2EXE) $<

addftinf: $(OBJECTS) ../lib/libgroff.a
	  $(CC) $(LDFLAGS) -o $@ $(OBJECTS) ../lib/libgroff.a $(LIBS)

addftinf.o: guess.h ../lib/lib.h ../lib/errarg.h ../lib/error.h \
	../lib/stringcl.h

guess.o: guess.h

soelim.exe: soelim
	$(STRIP) $<
	$(AOUT2EXE) $<

soelim: soelim.o ../lib/libgroff.a
	$(CC) $(LDFLAGS) -o $@ soelim.o ../lib/libgroff.a $(LIBS)

soelim.o: ../lib/lib.h ../lib/errarg.h ../lib/error.h \
	../lib/stringcl.h

TAGS: $(SOURCES)
	$(ETAGS) $(ETAGSFLAGS) $(SOURCES)

clean:
	-rm -f *.o soelim addftinf core soelim.exe addftinf.exe

distclean: clean
	-rm -f TAGS

realclean: distclean

#install.bin: all
#	-[ -d $(BINDIR) ] || mkdir $(BINDIR)
#	-rm -f $(BINDIR)/addftinfo
#	cp addftinfo $(BINDIR)/addftinfo
#	-rm -f $(BINDIR)/gsoelim
#	cp soelim $(BINDIR)/gsoelim

#install.nobin:
#	-[ -d $(BINDIR) ] || mkdir $(BINDIR)
#	-rm -f $(BINDIR)/grog
#	cp $(GROG) $(BINDIR)/grog
#	chmod +x $(BINDIR)/grog

#install: install.bin install.nobin
